Fast, stateless Network Diagnostics

Other

GET/api/v1/whois

WHOIS

Registrar, registration dates, and name servers.

ParameterTypeRequiredDescription
domainstringYesDomain to look up.

Example request

curl "https://netsh.io/api/v1/whois?domain=example.com&api_key=YOUR_API_KEY"

Example response

{
  "ok": true,
  "data": {
    "domain": "example.com",
    "notFound": false,
    "source": "WHOIS",
    "matchedDomain": null,
    "registrar": "Example Registrar, Inc.",
    "creationDate": "2009-02-17T22:07:54Z",
    "expiryDate": "2033-02-17T22:07:54Z",
    "updatedDate": "2024-01-09T16:45:28Z",
    "nameServers": ["ns1.example.com", "ns2.example.com"],
    "daysUntilExpiry": 2353,
    "message": null,
    "raw": "   Domain Name: EXAMPLE.COM\n   Registrar: Example Registrar, Inc.\n   ..."
  },
  "meta": { "tool": "whois", "version": "v1" }
}